<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.9.xsd">
    <!--
        Added the constraints for entity Elemento.
    -->
    <changeSet id="20210311112759-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="configurazione_id"
                                 baseTableName="elemento"
                                 constraintName="fk_elemento_configurazione_id"
                                 referencedColumnNames="id"
                                 referencedTableName="configurazione"/>

        <addForeignKeyConstraint baseColumnNames="catalogo_id"
                                 baseTableName="elemento"
                                 constraintName="fk_elemento_catalogo_id"
                                 referencedColumnNames="id"
                                 referencedTableName="catalogo"/>

    </changeSet>
</databaseChangeLog>
